Subject: Re: bug#39925: `guix pull` failure in multi-machine setup

From: Lars-Dominik Braun <[email-masked]>
Date: Fri, 6 Mar 2020 12:45:48 +0100

Hi,

> Sounds like this ssh URI is not valid on the nodes, is that right?
I would consider it valid, since `ssh master.<domain>` and `guix build
<package>` both work just fine from the nodes. It’s just `guix pull`, which is
causing issues.

> Right.  So perhaps I don’t quite understand the use case.  What about
> simply pulling from one of these machines, if everything is shared over
> NFS?
Sure, that’s an option, but anyone who tries will get a strange error message.
And it breaks the appeal of having a remote guix daemon in the first place,
that is being able to run `guix <whatever>` on any machine I log into. If that
is not the case (i.e. not for `guix pull`) it would be more consistent to ask
users to SSH into a different machine every time they interact with guix. Does
that explain my use case?

Lars